<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_params_t</compoundname>
    <includes local="no">cy_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__params__t_1a683957cd9534924f5596a1435ad10a30" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ble_params_t::siliconDeviceAddressEn</definition>
        <argsstring />
        <name>siliconDeviceAddressEn</name>
        <briefdescription>
<para>Silicon Device Address Enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="221" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="221" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a847d74b27e157a7e343b74b37abec12f" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ble_params_t::gattPrepareWriteExtBuffEn</definition>
        <argsstring />
        <name>gattPrepareWriteExtBuffEn</name>
        <briefdescription>
<para>Using external buffer for Prepare Write Request. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="224" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="224" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a0e3c48660a765d1052236e4fff3021f1" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ble_params_t::l2capEn</definition>
        <argsstring />
        <name>l2capEn</name>
        <briefdescription>
<para>The parameter to enable the configuration of the L2CAP logical channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="228" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="228" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a3b1ecd7a73eba2739c65fa772c919c46" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga91c0e65f1a3de88eb7065a298981a214">cy_en_ble_bless_pwr_lvl_t</ref></type>
        <definition>cy_en_ble_bless_pwr_lvl_t cy_stc_ble_params_t::txPowerLevelAdv</definition>
        <argsstring />
        <name>txPowerLevelAdv</name>
        <briefdescription>
<para>BLESS Power reflecting power level values supported by BLESS radio (for advertising channel) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="232" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="232" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a643b8b1385f791de27948cf9c407f03e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga91c0e65f1a3de88eb7065a298981a214">cy_en_ble_bless_pwr_lvl_t</ref></type>
        <definition>cy_en_ble_bless_pwr_lvl_t cy_stc_ble_params_t::txPowerLevelConn</definition>
        <argsstring />
        <name>txPowerLevelConn</name>
        <briefdescription>
<para>BLESS power reflecting power level values supported by BLESS radio (for connection channel) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="236" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="236" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a4d3cca581b594c4264e8aeff763eacd7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga1da885d4792bb5be0df50e08760cce29">cy_en_ble_gap_iocap_t</ref></type>
        <definition>cy_en_ble_gap_iocap_t cy_stc_ble_params_t::securityIoCapability</definition>
        <argsstring />
        <name>securityIoCapability</name>
        <briefdescription>
<para>IO capability. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="239" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="239" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1ac87a5addd4f72118666e55ee0e29a5d7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::l2capMtuSize</definition>
        <argsstring />
        <name>l2capMtuSize</name>
        <briefdescription>
<para>L2CAP MTU Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="242" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="242" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a5d2d7f3a138763001faadfe13716d989" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::l2capMps</definition>
        <argsstring />
        <name>l2capMps</name>
        <briefdescription>
<para>L2CAP MPS Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="245" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="245" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a578a66e2b27a118f8fdc3e807a0da3d4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::l2capChanCount</definition>
        <argsstring />
        <name>l2capChanCount</name>
        <briefdescription>
<para>The number of L2CAP Logical channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="248" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="248" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a74f2f82e33b2538cfea607c73a2fa411" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::l2capPsmCount</definition>
        <argsstring />
        <name>l2capPsmCount</name>
        <briefdescription>
<para>Number of L2CAP PSMs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="251" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="251" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a0daa1bb99811c128ae956392d113de42" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::gattPrepareWriteQueueSize</definition>
        <argsstring />
        <name>gattPrepareWriteQueueSize</name>
        <briefdescription>
<para>Size of prepare write queue buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="254" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="254" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a536b591e6554cd3e4fb6eb539498dd52" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::totalAttrValueLength</definition>
        <argsstring />
        <name>totalAttrValueLength</name>
        <briefdescription>
<para>Length of attribute value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="257" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a3ac3819655cddbc4e47bfa6e58bbdde9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::gattAttrMaxLen</definition>
        <argsstring />
        <name>gattAttrMaxLen</name>
        <briefdescription>
<para>The GATT Maximum attribute length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="260" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="260" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a39084be56066d86249fa9a63141b7a16" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::gattDbIndexCount</definition>
        <argsstring />
        <name>gattDbIndexCount</name>
        <briefdescription>
<para>Index count for GATT DB. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="263" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a1efba5aad93251d474b8b07f732bb281" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_params_t::mtuSize</definition>
        <argsstring />
        <name>mtuSize</name>
        <briefdescription>
<para>The MTU Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="266" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="266" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a5ac557d438fdcbd0c7610e50ac155c44" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_params_t::gapRole</definition>
        <argsstring />
        <name>gapRole</name>
        <briefdescription>
<para>The GAP Role. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="269" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="269" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a11394d61b62ff75f56b2d6df51ab10ab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_params_t::gappConfCount</definition>
        <argsstring />
        <name>gappConfCount</name>
        <briefdescription>
<para>The number of GAP Peripheral configurations. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="272" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a25fa6ae3abca27faf0080cde3e5e70ff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_params_t::gapcConfCount</definition>
        <argsstring />
        <name>gapcConfCount</name>
        <briefdescription>
<para>The number of GAP Central configurations. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="275" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1aef68e73585e5abf56203919286b66f36" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_params_t::gattRole</definition>
        <argsstring />
        <name>gattRole</name>
        <briefdescription>
<para>The GATT Role. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="278" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="278" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a0626f7dc2b42a2415f0e0097bd4d673d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_params_t::maxClientCount</definition>
        <argsstring />
        <name>maxClientCount</name>
        <briefdescription>
<para>The number of BLE connections (client) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="281" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="281" />
      </memberdef>
      <memberdef id="structcy__stc__ble__params__t_1a49976965ce745b52beabd92291a32271" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_params_t::isBondingReq</definition>
        <argsstring />
        <name>isBondingReq</name>
        <briefdescription>
<para>The Bonding Requirement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="284" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="284" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE Configuration parameters structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="285" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="218" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="219" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__params__t_1a25fa6ae3abca27faf0080cde3e5e70ff" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gapcConfCount</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a11394d61b62ff75f56b2d6df51ab10ab" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gappConfCount</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a5ac557d438fdcbd0c7610e50ac155c44" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gapRole</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a3ac3819655cddbc4e47bfa6e58bbdde9" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gattAttrMaxLen</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a39084be56066d86249fa9a63141b7a16" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gattDbIndexCount</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a847d74b27e157a7e343b74b37abec12f" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gattPrepareWriteExtBuffEn</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a0daa1bb99811c128ae956392d113de42" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gattPrepareWriteQueueSize</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1aef68e73585e5abf56203919286b66f36" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>gattRole</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a49976965ce745b52beabd92291a32271" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>isBondingReq</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a578a66e2b27a118f8fdc3e807a0da3d4" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>l2capChanCount</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a0e3c48660a765d1052236e4fff3021f1" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>l2capEn</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a5d2d7f3a138763001faadfe13716d989" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>l2capMps</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1ac87a5addd4f72118666e55ee0e29a5d7" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>l2capMtuSize</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a74f2f82e33b2538cfea607c73a2fa411" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>l2capPsmCount</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a0626f7dc2b42a2415f0e0097bd4d673d" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>maxClientCount</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a1efba5aad93251d474b8b07f732bb281" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>mtuSize</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a4d3cca581b594c4264e8aeff763eacd7" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>securityIoCapability</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a683957cd9534924f5596a1435ad10a30" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>siliconDeviceAddressEn</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a536b591e6554cd3e4fb6eb539498dd52" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>totalAttrValueLength</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a3b1ecd7a73eba2739c65fa772c919c46" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>txPowerLevelAdv</name></member>
      <member prot="public" refid="structcy__stc__ble__params__t_1a643b8b1385f791de27948cf9c407f03e" virt="non-virtual"><scope>cy_stc_ble_params_t</scope><name>txPowerLevelConn</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>